<?php

// include xirca php library (requires curl extension)
require_once "xirca.inc.php";

// configure xirca api access:
xirca_set_config("url", "https://coreapi.1api.net/api/call.cgi");

// for test environment:
xirca_set_config("entity", "1234");

// for production environment:
// xirca_set_config("entity", "54cd");

// set login and password:
// uses our open test user in this example
xirca_set_config("login", "test.user");
xirca_set_config("password", "test.passw0rd");

$random = floor(rand(0,1000000));



print "<pre>";

print "<hr /><b>CHECK DOMAINS</b><br />";
$check_command = array(
	"COMMAND" => "CheckDomains",
	"DOMAIN" => array(
		"test.com",
		"test.de",
		"example-$random.com",
		"example-$random.org",
		"example-$random.de",
	)
);
var_dump($check_command); flush(); ob_flush();

$check_response = xirca_call($check_command);
var_dump($check_response); flush(); ob_flush();



print "<hr /><b>TRANSFER DOMAIN example123.com</b><br />";
$transfer_domain_command = array(
	"COMMAND" => "TransferDomain",
	"DOMAIN" => "example123.com",
	"AUTH" => "secret123",
	"ACTION" => "request"
);
var_dump($transfer_domain_command); flush(); ob_flush();

$transfer_domain_response = xirca_call($transfer_domain_command);
var_dump($transfer_domain_response); flush(); ob_flush();





$contact = array(
	"FIRSTNAME" => "John",
	"LASTNAME" => "Doe",
	"ORGANIZATION" => "Acme Inc.",
	"STREET" => "12345 Hiddenstreet",
	"CITY" => "New City",
	"STATE" => "ABC",
	"ZIP" => "12345",
	"COUNTRY" => "US",
	"PHONE" => "+1.12345678",
	"FAX" => "+1.12345679",
	"EMAIL" => "john@example.com",
);


print "<hr /><b>CREATE DOMAIN example-$random.org</b><br />";
$create_domain_command = array(
	"COMMAND" => "AddDomain",
	"DOMAIN" => "example-$random.org",
	"PERIOD" => 1,
	"OWNERCONTACT" => array($contact),
// could e.g. also write: "OWNERCONTACT0" => $contact
	"ADMINCONTACT" => array($contact),
	"TECHCONTACT" => array($contact),
	"BILLINGCONTACT" => array($contact),
	"NAMESERVER" => array("ns1.testing.com", "ns2.testing.com"),
// could e.g. also write: "NAMESERVER0" => "ns1.testing.com", "NAMESERVER1" => "ns2.testing.com"
);
var_dump($create_domain_command); flush(); ob_flush();

$create_domain_response = xirca_call($create_domain_command);
var_dump($create_domain_response); flush(); ob_flush();



print "<hr /><b>UPDATE DOMAIN example-$random.org</b><br />";
$update_domain_command = array(
	"COMMAND" => "ModifyDomain",
	"DOMAIN" => "example-$random.org",
	"NAMESERVER" => array("a.dns.net", "b.dns.net")
);
var_dump($update_domain_command); flush(); ob_flush();

$update_domain_response = xirca_call($update_domain_command);
var_dump($update_domain_response); flush(); ob_flush();




print "<hr /><b>RENEW DOMAIN example-$random.org</b><br />";
$renew_domain_command = array(
	"COMMAND" => "RenewDomain",
	"DOMAIN" => "example-$random.org",
	"EXPIRATION" => date("Y")+1,
	"PERIOD" => "2"
);
var_dump($renew_domain_command); flush(); ob_flush();

$renew_domain_response = xirca_call($renew_domain_command);
var_dump($renew_domain_response); flush(); ob_flush();




print "<hr /><b>QUERY DOMAIN example-$random.org</b><br />";
$query_domain_command = array(
	"COMMAND" => "StatusDomain",
	"DOMAIN" => "example-$random.org",
);
var_dump($query_domain_command); flush(); ob_flush();

$query_domain_response = xirca_call($query_domain_command);
var_dump($query_domain_response); flush(); ob_flush();



print "<hr /><b>DELETE DOMAIN example-$random.org</b><br />";
$delete_domain_command = array(
	"COMMAND" => "DeleteDomain",
	"DOMAIN" => "example-$random.org",
);
var_dump($delete_domain_command); flush(); ob_flush();

$delete_domain_response = xirca_call($delete_domain_command);
var_dump($delete_domain_response); flush(); ob_flush();



print "</pre>";

?>
